Name: jakarta-commons-jelly-tags-define
Version: 1.0
Release: alt0.1

Summary: Commons Jelly Define Tag Library
Group: Development/Java
License: Apache Software License

Url: http://jakarta.apache.org/commons/jelly/

Source0: %name.tar.bz2
# svn co http://svn.apache.org/repos/asf/jakarta/commons/proper/jelly/trunk/jelly-tags/define jelly-tags-define
Source1: jelly-LICENSE.txt

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jakarta-commons-jelly jakarta-commons-jelly-tags-junit
BuildRequires: jakarta-commons-jelly-tags-dynabean jakarta-commons-jelly-tags-log
BuildRequires: jakarta-commons-jelly-tags-xml
Requires: jakarta-commons-jelly jakarta-commons-jelly-tags-xml
Requires: jakarta-commons-jelly-tags-dynabean jakarta-commons-jelly-tags-log

BuildArch: noarch

%description
The Jelly Define Tag Library.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: jakarta-commons-jelly-javadoc

%description javadoc
%summary.

%prep
%setup -q -n define
%__cp %SOURCE1 LICENSE.txt

%build
%set_classpath %_javadir/dom4j.jar
%add_classpath %_javadir/jakarta-commons-jelly.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-junit.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-dynabean.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-log.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-xml.jar
%add_classpath %_javadir/jakarta-commons-jexl.jar
%add_classpath %_javadir/xml-commons-apis.jar
%add_classpath %_javadir/jakarta-commons-beanutils.jar
%add_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/jakarta-commons-logging.jar
%add_classpath %_javadir/jakarta-commons-cli.jar
%add_classpath %_javadir/jaxen.jar
%add_classpath %_javadir/xerces-j.jar
%add_classpath %_javadir/junit.jar

CLASSPATH=target/classes:target/test-classes:%_classpath
%ant_build -Dbuild.sysclasspath=only dist

%install

%__mkdir_p %buildroot{%_javadir/jelly-tags,%_javadocdir/jakarta-commons-jelly/jelly-tags/define}

# jar
%__install -m 644 dist/*.jar %buildroot%_javadir/jelly-tags/%name.jar

#javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/jakarta-commons-jelly/jelly-tags/define

%files
%_javadir/jelly-tags/*.jar
%doc LICENSE.txt

%files javadoc
%_javadocdir/jakarta-commons-jelly/jelly-tags/define

%changelog
* Thu May 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1
- Initial release for ALT Linux Sisyphus
- svn snapshot 20050504

